#!/usr/bin/sh -e

if [ "$1" = purge ]; then
	# clean up after manually enabled units in postinst
	rm -f /etc/systemd/system/getty.target.wants/getty@tty1.service
	rm -f /etc/systemd/system/multi-user.target.wants/remote-fs.target
	rm -f /etc/systemd/system/sysinit.target.wants/systemd-timesyncd.service
	rm -f /etc/systemd/system/dbus-org.freedesktop.timesync1.service
	rm -f /etc/systemd/system/sysinit.target.wants/systemd-pstore.service
	rmdir --ignore-fail-on-non-empty /etc/systemd/system/getty.target.wants 2> /dev/null || true
	rmdir --ignore-fail-on-non-empty /etc/systemd/system/multi-user.target.wants 2> /dev/null || true
	rmdir --ignore-fail-on-non-empty /etc/systemd/system/sysinit.target.wants 2> /dev/null || true

	rm -f /var/lib/systemd/catalog/database
	rmdir --ignore-fail-on-non-empty /var/lib/systemd/catalog 2> /dev/null || true

	rm -rf /var/lib/systemd/backlight/
	rm -rf /var/lib/systemd/rfkill/
	rm -rf /var/lib/systemd/timesync/

	rm -f /var/lib/systemd/random-seed

	rmdir --ignore-fail-on-non-empty /var/log/journal 2> /dev/null || true
fi

#DEBHELPER#
